Get Minimum Monthly Payment
1 min
GET
https://api.upstartcommerce.com/v1/finance-offers/minimum-monthly-payment
currencystring<p>The <a href="https://en.wikipedia.org/wiki/ISO_4217" target="_blank">3-character ISO code</a>. Must be one of the supported currencies (currently only USD is supported).</p>
purchase-amountnumber<float><p>Purchase amount that the minimum-monthly-payment calculation is based on.</p>
providerstringThe provider being used to calculate minimum monthly payment.
timezoneIdstring<p>Timezone id (tz database). If not specified - tenant's default timezone is used.</p>
productIdsarray<p>Optional list of product IDs in the cart. When supplied, general finance offers (those without
any product association) and product-specific finance offers associated with at least one of
the supplied productIds are considered. When omitted, only general offers (those without any
product association) are considered.</p>
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-details of the minimum monthly payment returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/finance-offers/minimum-monthly-payment?currency=USD&purchase-amount=number%3Cfloat%3E' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'